## lxqt-panel-2.3.0-1.src.tar.gz

=== plugin-spacer/CMakeLists.txt ===
set(PLUGIN "spacer")

set(HEADERS
    spacer.h
    spacerconfiguration.h
)

set(SOURCES
    spacer.cpp
    spacerconfiguration.cpp
)

set(UIS
    spacerconfiguration.ui
)

BUILD_LXQT_PLUGIN(${PLUGIN})
